%define qtinc   %(qmake -query QT_INSTALL_PREFIX)/include
%define qtlib   %(qmake -query QT_INSTALL_PREFIX)/lib

Name:           qwtplot3d
Version:        0.2.6
Release:        2%{?dist}
Summary:        Qt/OpenGL-based C++ library providing a bunch of 3D-widgets for programmers

Group:          System Environment/Libraries
License:        zlib/libpng License
URL:            http://qwtplot3d.sourceforge.net/
Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source1:        http://qwtplot3d.sourceforge.net/web/navigation/license.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel
BuildRequires:  libXmu-devel

%description
QwtPlot3D is not a  program, but a feature-rich Qt/OpenGL-based C++
programming library, providing essentially a  bunch of 3D-widgets for
programmers

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       qt-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
install -pm 644 %{SOURCE1} license.txt

#fix line endings
%{__sed} -i 's/\r//' license.txt
find examples -type f | xargs %{__sed} -i 's/\r//'

#fix premissions
chmod 644 examples/dsp.bat


%build
qmake qwtplot3d.pro
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{qtlib}
%{__install} -p -m 0755 lib/libqwtplot3d.so.0.2.6 $RPM_BUILD_ROOT%{qtlib}
ln -s libqwtplot3d.so.0.2.6 $RPM_BUILD_ROOT%{qtlib}/libqwtplot3d.so
ln -s libqwtplot3d.so.0.2.6 $RPM_BUILD_ROOT%{qtlib}/libqwtplot3d.so.0
mkdir -p $RPM_BUILD_ROOT%{qtinc}/qwtplot3d
%{__install} -p -m 0644 include/* $RPM_BUILD_ROOT%{qtinc}/qwtplot3d


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.txt
%{qtlib}/libqwtplot3d.so.*

%files devel
%defattr(-,root,root,-)
%doc examples
%{qtinc}/*
%{qtlib}/libqwtplot3d.so


%changelog
* Tue Jan 02 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.6-2
- Added qt-devel to -devel subpackage requires

* Sun Dec 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.6-1
- Initial RPM release
